Package org.sunflow.system

# Class SearchPath

java.lang.Object
org.sunflow.system.SearchPath

public class SearchPath extends Object

## Constructor Summary

Constructors
Constructor
Description
`SearchPath(String type)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addSearchPath(String path)`
`void`
`resetSearchPath()`
`String`
`resolvePath(String filename)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SearchPath

public SearchPath(String type)

## Method Details

### resetSearchPath

public void resetSearchPath()

### addSearchPath

public void addSearchPath(String path)

### resolvePath

public String resolvePath(String filename)